@wearerequired/stylelint-config

    3.0.0 • Public • Published

    required (S)CSS Coding Standard

    required coding standard for (S)CSS, based on the rules provided by @wordpress/stylelint-config.

    Installation

    This package is an stylelint shareable configuration and requires stylelint and @wordpress/stylelint-config to be installed. To install this config and the peerDependencies run:

    npx install-peerdeps --dev @wearerequired/stylelint-config@latest

    Usage

    To opt-in to the default configuration, extend your own project's stylelint.config.js file:

    module.exports = {
    	extends: [ '@wearerequired/stylelint-config' ],
    };

    SCSS Preset

    In addition to the default preset, there is also a SCSS preset. This preset extends both @wearerequired/stylelint-config and stylelint-config-recommended-scss.

    module.exports = {
    	extends: [ '@wearerequired/stylelint-config/scss' ],
    };

    a required open source product - let's get in touch

    Install

    npm i @wearerequired/stylelint-config

    DownloadsWeekly Downloads

    93

    Version

    3.0.0

    License

    GPL-2.0-or-later

    Unpacked Size

    22.5 kB

    Total Files

    5

    Last publish

    Collaborators

    • grapplerulrich
    • iamrequired
    • ocean90
    • velthy
    • paschi